## org.apache.mahout.math.hadoop.stochasticsvd
Class BtJob.OuterProductCombiner

    java.lang.Object
      org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.Writable,SparseRowBlockWritable,org.apache.hadoop.io.Writable,SparseRowBlockWritable>
          org.apache.mahout.math.hadoop.stochasticsvd.BtJob.OuterProductCombiner

Enclosing class:
  BtJob

    public static class BtJob.OuterProductCombiner

extends org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.Writable,SparseRowBlockWritable,org.apache.hadoop.io.Writable,SparseRowBlockWritable>

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Reducer
`org.apache.hadoop.mapreduce.Reducer.Context`

Field Summary
`protected SparseRowBlockWritable` `accum`
`protected int` `blockHeight`
`protected Deque<Closeable>` `closeables`

Constructor Summary
`BtJob.OuterProductCombiner()`

Method Summary
`protected void` `cleanup(org.apache.hadoop.mapreduce.Reducer.Context context)`
`protected void` `reduce(org.apache.hadoop.io.Writable key, Iterable<SparseRowBlockWritable> values, org.apache.hadoop.mapreduce.Reducer.Context context)`
`protected void` `setup(org.apache.hadoop.mapreduce.Reducer.Context context)`

Methods inherited from class org.apache.hadoop.mapreduce.Reducer
`run`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### accum

    protected final SparseRowBlockWritable accum

### closeables

    protected final Deque<Closeable> closeables

### blockHeight

    protected int blockHeight

Constructor Detail

### BtJob.OuterProductCombiner

    public BtJob.OuterProductCombiner()

Method Detail

### setup

    protected void setup(org.apache.hadoop.mapreduce.Reducer.Context context)
                  throws IOException,
                         InterruptedException

  Overrides:
    `setup` in class `org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.Writable,SparseRowBlockWritable,org.apache.hadoop.io.Writable,SparseRowBlockWritable>`
  Throws:
    `IOException`
    `InterruptedException`

### reduce

    protected void reduce(org.apache.hadoop.io.Writable key,
                          Iterable<SparseRowBlockWritable> values,
                          org.apache.hadoop.mapreduce.Reducer.Context context)
                   throws IOException,
                          InterruptedException

  Overrides:
    `reduce` in class `org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.Writable,SparseRowBlockWritable,org.apache.hadoop.io.Writable,SparseRowBlockWritable>`
  Throws:
    `IOException`
    `InterruptedException`

### cleanup

    protected void cleanup(org.apache.hadoop.mapreduce.Reducer.Context context)
                    throws IOException,
                           InterruptedException

  Overrides:
    `cleanup` in class `org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.Writable,SparseRowBlockWritable,org.apache.hadoop.io.Writable,SparseRowBlockWritable>`
  Throws:
    `IOException`
    `InterruptedException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.